open import Lib.Equality as Eq using (_==_; auto)
open import Lib.Word
open import Lib.Word-Tactics

open import Index

open import Step1.Theorem using (module TwoLevel-Less)
open TwoLevel-Less
open import Step2.Theorem using (module TwoLevel-Simplified ; f ; g)
open TwoLevel-Simplified

open import Step2.TwoLevel-Simplified-Lemmas
open import Step2.Lafont-S8

open Basis-Change group-like (Rewriting.step-cong TwoLevel-Simplified-Step.X-step)

module Step2.hypB.ax4 where

  lemma-[4] : ∀ {j k} -> {jk : Less j k} -> TwoLevel-Simplified.Rel ⊢ (g *) (i j • i k) === (g *) (i k • i j)

  lemma-[4] {jk = ₀₁} = symm (axiom [S4a])
  lemma-[4] {jk = ₀₂} = by-basis-change (X₁₂) (symm (axiom [S4a])) 20 auto
  lemma-[4] {jk = ₀₃} = by-basis-change (X₂₃ • X₁₂) (symm (axiom [S4a])) 15 auto
  lemma-[4] {jk = ₀₄} = by-basis-change (X₃₄ • X₂₃ • X₁₂) (symm (axiom [S4a])) 30 auto
  lemma-[4] {jk = ₀₅} = by-basis-change (X₄₅ • X₃₄ • X₂₃ • X₁₂) (symm (axiom [S4a])) 30 auto
  lemma-[4] {jk = ₀₆} = by-basis-change (X₅₆ • X₄₅ • X₃₄ • X₂₃ • X₁₂) (symm (axiom [S4a])) 40 auto
  lemma-[4] {jk = ₀₇} = by-basis-change (X₆₇ • X₅₆ • X₄₅ • X₃₄ • X₂₃ • X₁₂) (symm (axiom [S4a])) 50 auto
  lemma-[4] {jk = ₁₂} = BC.by-basis-change (X₁₂ • X₀₁) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₁₃} = BC.by-basis-change (X₁₂ • X₂₃ • X₀₁) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₁₄} = BC.by-basis-change (X₀₁) (lemma-[4] {jk = ₀₄}) 200 auto
  lemma-[4] {jk = ₁₅} = BC.by-basis-change (X₀₁) (lemma-[4] {jk = ₀₅}) 200 auto
  lemma-[4] {jk = ₁₆} = BC.by-basis-change (X₀₁) (lemma-[4] {jk = ₀₆}) 200 auto
  lemma-[4] {jk = ₁₇} = BC.by-basis-change (X₀₁) (lemma-[4] {jk = ₀₇}) 200 auto
  lemma-[4] {jk = ₂₃} = BC.by-basis-change (X₁₂ • X₂₃ • X₀₁ • X₁₂) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₂₄} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₀₁ • X₁₂) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₂₅} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₀₁ • X₁₂) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₂₆} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆ • X₀₁ • X₁₂) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₂₇} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆ • X₆₇ • X₀₁ • X₁₂) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₃₄} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₀₁ • X₁₂ • X₂₃) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₃₅} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₀₁ • X₁₂ • X₂₃) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₃₆} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆ • X₀₁ • X₁₂ • X₂₃) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₃₇} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆ • X₆₇ • X₀₁ • X₁₂ • X₂₃) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₄₅} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₀₁ • X₁₂ • X₂₃ • X₃₄) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₄₆} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆ • X₀₁ • X₁₂ • X₂₃ • X₃₄) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₄₇} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆ • X₆₇ • X₀₁ • X₁₂ • X₂₃ • X₃₄) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₅₆} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆ • X₀₁ • X₁₂ • X₂₃ • X₃₄ • X₄₅) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₅₇} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆ • X₆₇ • X₀₁ • X₁₂ • X₂₃ • X₃₄ • X₄₅) (symm (axiom [S4a])) 200 auto
  lemma-[4] {jk = ₆₇} = BC.by-basis-change (X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆ • X₆₇ • X₀₁ • X₁₂ • X₂₃ • X₃₄ • X₄₅ • X₅₆) (symm (axiom [S4a])) 200 auto
